Index: branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs
===================================================================
--- branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 96)
+++ branches/ddl/DataConert/DataConert/DataConvertAuxiliary.cs	(revision 97)
@@ -3272,70 +2733,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ConstructionLedgerDetail> BuffList = new List<ConstructionLedgerDetail>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOConstructionLedgerDetail.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ConstructionLedgerDetail CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);        // 工事番号
-
-                        strSQL += string.Format(", {0}", CurRec.GroupCount);              // グループ番号
-                        strSQL += string.Format(", {0}", CurRec.LineCount);               // 行番号
-                        strSQL += string.Format(", {0}", CurRec.ComponentCode);           // 構成キー
-                        strSQL += string.Format(", {0}", CurRec.ItemCode);		        // 工種キー
-                        strSQL += string.Format(",'{0}'", CurRec.FirstString);            // 項目名称
-                        strSQL += string.Format(",'{0}'", CurRec.SecondString);           // 工事内容
-                        strSQL += string.Format(", {0}", CurRec.CompanyType);             // 協力会社コードタイプ
-                        strSQL += string.Format(", {0}", CurRec.CompanyCode);             // 協力会社コード
-                        strSQL += string.Format(",'{0}'", CurRec.CompanyName);            // 協力会社名称
-                        strSQL += string.Format(", {0}", CurRec.EstimatePrice);           // 予算（見積）金額
-                        strSQL += string.Format(", {0}", CurRec.ExecutionAmount);         // 実行金額
-                        strSQL += string.Format(", {0}", CurRec.AmountConfigRate);        // 金額構成率
-                        strSQL += string.Format(", {0}", CurRec.PaymentBurden);           // 支払補填額
-
-                        strSQL += string.Format(", {0}", CurRec.FixDataFlg);              // 固定データフラグ
-                        strSQL += string.Format(", {0}", CurRec.IndependentFlg);          // 独立データフラグ
-                        strSQL += string.Format(", {0}", CurRec.FluctuationFlg);          // 増減データフラグ
-
-                        strSQL += string.Format(", {0}", CurRec.SalaryFlg);               // 給与振分区分
-                        strSQL += string.Format(", {0}", CurRec.SalaryDays);              // 給与振分日数
-                        strSQL += string.Format(", {0}", CurRec.OperatingFlg);            // 担当中フラグ
-                        strSQL += string.Format(", {0}", CurRec.SourceCode);              // 元工事番号
-                        strSQL += string.Format(", {0}", CurRec.JoinTitleFlg);            // 工事名称タイトル
-                        strSQL += string.Format(", {0}", CurRec.SalaryOnRegist);          // 登録時月額給与
-                        strSQL += string.Format(", {0}", CurRec.PurchaseOrderFlg);        // 注文書発行フラグ
-
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -3342,6 +2753,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -3372,7 +2784,7 @@
         private bool CnvConstructionledgerexcute(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOConstructionLedgerExcute InDB = new ProcessManagement.OracleDB.IOAccess.IOConstructionLedgerExcute();
-            ProcessManagement.MySQLDB.IOAccess.IOConstructionLedgerExcute OutDB = new ProcessManagement.MySQLDB.IOAccess.IOConstructionLedgerExcute();
+            ProcessManagement.DB.IOAccess.IOConstructionLedgerExcute OutDB = new ProcessManagement.DB.IOAccess.IOConstructionLedgerExcute();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -3386,50 +2798,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ConstructionLedgerExcute> BuffList = new List<ConstructionLedgerExcute>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOConstructionLedgerExcute.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ConstructionLedgerExcute CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);        // 工事番号
-
-                        strSQL += string.Format(", {0}", CurRec.GroupCount);              // グループ番号
-                        strSQL += string.Format(", {0}", CurRec.LineCount);               // 行番号
-                        strSQL += string.Format(", {0}", CurRec.ColumnCount);             // 列番号
-
-                        strSQL += string.Format(", {0}", CurRec.PaymentAmount);           // 支払金額
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", CurRec.TargetMonth.ToShortDateString());  // 対象年月
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -3436,6 +2818,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -3466,7 +2849,7 @@
         private bool CnvConstructionlink(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOConstructionLink InDB = new ProcessManagement.OracleDB.IOAccess.IOConstructionLink();
-            ProcessManagement.MySQLDB.IOAccess.IOConstructionLink OutDB = new ProcessManagement.MySQLDB.IOAccess.IOConstructionLink();
+            ProcessManagement.DB.IOAccess.IOConstructionLink OutDB = new ProcessManagement.DB.IOAccess.IOConstructionLink();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -3480,46 +2863,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ConstructionLink> BuffList = new List<ConstructionLink>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOConstructionLink.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ConstructionLink CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode);        // 工事番号
-
-                        strSQL += string.Format(", {0}", CurRec.FluctuationCode);
-                        strSQL += string.Format(", {0}", CurRec.LinkType);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -3526,6 +2883,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -3556,7 +2914,7 @@
         private bool CnvConstructionprogressdate(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOConstructionProgressDate InDB = new ProcessManagement.OracleDB.IOAccess.IOConstructionProgressDate();
-            ProcessManagement.MySQLDB.IOAccess.IOConstructionProgressDate OutDB = new ProcessManagement.MySQLDB.IOAccess.IOConstructionProgressDate();
+            ProcessManagement.DB.IOAccess.IOConstructionProgressDate OutDB = new ProcessManagement.DB.IOAccess.IOConstructionProgressDate();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -3570,47 +2928,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ConstructionProgressDate> BuffList = new List<ConstructionProgressDate>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOConstructionProgressDate.ColumnName)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ConstructionProgressDate CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.ConstructionCode.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ConstructionStatusFlg.ToString());
-                        strSQL += string.Format(", {0}", CurRec.PreviousStatusFlg.ToString());
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.ChangeDate.ToString());
-                        strSQL += string.Format(", {0}", CurRec.ChangePersonCode.ToString());
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -3617,6 +2948,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -3647,7 +2979,7 @@
         private bool CnvConstructionspecmaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMConstructionSpec InDB = new ProcessManagement.OracleDB.IOAccess.IOMConstructionSpec();
-            ProcessManagement.MySQLDB.IOAccess.IOMConstructionSpec OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMConstructionSpec();
+            ProcessManagement.DB.IOAccess.IOMConstructionSpec OutDB = new ProcessManagement.DB.IOAccess.IOMConstructionSpec();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -3661,51 +2993,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ConstructionSpecMaster> BuffList = new List<ConstructionSpecMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMConstructionSpec.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ConstructionSpecMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format(" {0}", CurRec.ItemCode);
-                        strSQL += string.Format(",{0}", CurRec.SpecCode);
-                        strSQL += string.Format(",{0}", CurRec.DisplayOrder);
-
-                        strSQL += string.Format(",'{0}'", CurRec.ItemName);
-                        strSQL += string.Format(",'{0}'", CurRec.SpecName);
-                        strSQL += string.Format(",'{0}'", CurRec.UnitName);
-                        strSQL += string.Format(",{0}", CurRec.UnitPrice);
-                        strSQL += string.Format(",{0}", CurRec.DeleteFlg);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -3712,6 +3013,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -3742,7 +3044,7 @@
         private bool CnvConstructionspecunitprice(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMConstructionSpecUnitPrice InDB = new ProcessManagement.OracleDB.IOAccess.IOMConstructionSpecUnitPrice();
-            ProcessManagement.MySQLDB.IOAccess.IOMConstructionSpecUnitPrice OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMConstructionSpecUnitPrice();
+            ProcessManagement.DB.IOAccess.IOMConstructionSpecUnitPrice OutDB = new ProcessManagement.DB.IOAccess.IOMConstructionSpecUnitPrice();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -3756,47 +3058,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ConstructionSpecUnitPrice> BuffList = new List<ConstructionSpecUnitPrice>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMConstructionSpecUnitPrice.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ConstructionSpecUnitPrice CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format(" {0}", CurRec.ComponentCode);
-                        strSQL += string.Format(",{0}", CurRec.ItemCode);
-                        strSQL += string.Format(",{0}", CurRec.SpecCode);
-                        strSQL += string.Format(",{0}", CurRec.TypeCode);
-                        strSQL += string.Format(",{0}", CurRec.UnitPrice);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -3803,6 +3078,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -3833,7 +3109,7 @@
         private bool CnvConstructiontypemaster(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOMConstructionType InDB = new ProcessManagement.OracleDB.IOAccess.IOMConstructionType();
-            ProcessManagement.MySQLDB.IOAccess.IOMConstructionType OutDB = new ProcessManagement.MySQLDB.IOAccess.IOMConstructionType();
+            ProcessManagement.DB.IOAccess.IOMConstructionType OutDB = new ProcessManagement.DB.IOAccess.IOMConstructionType();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -3847,49 +3123,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<ConstructionTypeMaster> BuffList = new List<ConstructionTypeMaster>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOMConstructionType.NameColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        ConstructionTypeMaster CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.TypeCode);
-                        strSQL += string.Format(", {0}", CurRec.DisplayOrder);
-                        strSQL += string.Format(",'{0}'", CurRec.NameString);
-                        strSQL += string.Format(", {0}", CurRec.PublicFlg);
-                        strSQL += string.Format(", {0}", CurRec.SecRank);
-                        strSQL += string.Format(", {0}", CurRec.ExpensesLink);
-                        strSQL += string.Format(", {0}", CurRec.DeleteFlg);
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -3896,6 +3143,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -3926,7 +3174,7 @@
         private bool CnvCostdataofperson(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOCostDataOfPerson InDB = new ProcessManagement.OracleDB.IOAccess.IOCostDataOfPerson();
-            ProcessManagement.MySQLDB.IOAccess.IOCostDataOfPerson OutDB = new ProcessManagement.MySQLDB.IOAccess.IOCostDataOfPerson();
+            ProcessManagement.DB.IOAccess.IOCostDataOfPerson OutDB = new ProcessManagement.DB.IOAccess.IOCostDataOfPerson();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
@@ -3940,59 +3188,20 @@
                 strSQL = string.Format("TRUNCATE TABLE {0}", s_OracleTables[ino].Key);
                 OutDB.ExecuteNonQuery(strSQL, false);
 
+                List<CostDataOfPerson> BuffList = new List<CostDataOfPerson>();
                 int DataCnt = 0;
-                bool bColFirst = true;
-                bool bDataFirst = true;
                 while (DataCnt < getList.Count)
                 {
-                    bColFirst = true;
-                    strSQL = string.Format("INSERT INTO {0}", s_OracleTables[ino].Key);
-                    strSQL += " (";
-                    foreach (var gender in Enum.GetValues(typeof(ProcessManagement.MySQLDB.IOAccess.IOCostDataOfPerson.TableColumn)))
-                    {
-                        if (!bColFirst) strSQL += ", ";
-                        strSQL += gender.ToString();
-                        bColFirst = false;
-                    }
-                    strSQL += ") VALUES";
+                    BuffList.Clear();
 
-                    bDataFirst = true;
-                    for (int i = 0; i < s_LoopCount; i++, DataCnt++)
+                    for (int ii = 0; ii < s_LoopCount; ii++, DataCnt++)
                     {
                         if (DataCnt >= getList.Count) break;
 
-                        CostDataOfPerson CurRec = getList[DataCnt];
-
-                        if (bDataFirst) strSQL += " (";
-                        else strSQL += ", (";
-
-                        strSQL += string.Format("  {0}", CurRec.PersonCode);                      // 担当者コード
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
-                                                    , CurRec.ActionDate.ToShortDateString());     // 対象日付
-                        strSQL += string.Format(", {0}", CurRec.DataType);                        // データ区分
-                        strSQL += string.Format(", {0}", CurRec.DataAddCount);                    // データ追加番号
-                        strSQL += string.Format(",'{0}'", CurRec.TargetMonth);                    // 対象年月
-                        strSQL += string.Format(", {0}", CurRec.ConstructionCode);                // 工事番号
-                        strSQL += string.Format(", {0}", CurRec.SuppliersCode);                   // 支払先コード
-                        strSQL += string.Format(",'{0}'", CurRec.SuppliersName);                  // 支払先名称
-                        strSQL += string.Format(",'{0}'", CurRec.PaymentContent);                 // 支払内容
-                        strSQL += string.Format(", {0}", CurRec.PaymentType);                     // 支払方法フラグ
-                        strSQL += string.Format(", {0}", CurRec.EntryPrice);	                    // 金額（税抜）
-                        strSQL += string.Format(", {0}", CurRec.EntryPriceInTax);	                // 金額（税込）
-                        strSQL += string.Format(",'{0}'", CurRec.SlipNumber);                     // 伝票番号
-
-                        strSQL += string.Format(", {0}", CurRec.ComplateFlg);                     // 引込済みフラグ
-                        strSQL += string.Format(", {0}", CurRec.ApprovalFlg);                     // 承認フラグ
-
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.EntryDate);
-                        strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", CurRec.UpdateDate);
-
-                        strSQL += ")";
-
-                        bDataFirst = false;
+                        BuffList.Add(getList[DataCnt]);
                     }
 
-                    if (!OutDB.ExecuteNonQuery(strSQL, false))
+                    if (!OutDB.InsertAction(BuffList, false))
                     {
                         OutDB.rollback();
                         strMsg += "　ＤＢ処理異常";
@@ -3999,6 +3208,7 @@
                         return false;
                     }
                 }
+
                 strMsg += string.Format("　処理件数={0}", DataCnt.ToString("#,0"));
 
                 return true;
@@ -4029,7 +3239,7 @@
         private bool CnvCostomerregist(int ino, ref string strMsg)
         {
             ProcessManagement.OracleDB.IOAccess.IOCostomerRegist InDB = new ProcessManagement.OracleDB.IOAccess.IOCostomerRegist();
-            ProcessManagement.MySQLDB.IOAccess.IOCostomerRegist OutDB = new ProcessManagement.MySQLDB.IOAccess.IOCostomerRegist();
+            ProcessManagement.DB.IOAccess.IOCostomerRegist OutDB = new ProcessManagement.DB.IOAccess.IOCostomerRegist();
             strMsg = string.Format("№{0}：テーブル:{1}({2})", (ino + 1).ToString("00"), s_OracleTables[ino].Value, s_OracleTables[ino].Key);
             try
             {
